#
# spec file for package python-pybluez
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define rev 5096047f90a1f6a74ceb250aef6243e144170f92
%{?sle15_python_module_pythons}
Name:           python-pybluez
Version:        0.23+git%{rev}
Release:        2.7
Summary:        A Python Bluetooth wrapper
License:        GPL-2.0-or-later
Group:          Development/Libraries/Python
URL:            https://pybluez.github.io/
Source:         https://github.com/pybluez/pybluez/archive/%{rev}.tar.gz#/pybluez-%{rev}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  bluez-devel
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Obsoletes:      pybluez < 0.22
Provides:       pybluez = %{version}
%python_subpackages

%description
PyBluez is an effort to create python wrappers around system Bluetooth
resources to allow Python developers to easily and quickly create
Bluetooth applications.

%prep
%setup -q -n pybluez-%{rev}

%build
export CFLAGS="%{optflags} -fno-strict-aliasing"
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitearch}

#%%check
# no tests on upstream

%files %{python_files}
%license COPYING
%doc CHANGELOG README.md
%{python_sitearch}/bluetooth/
%{python_sitearch}/PyBluez-*.egg-info

%changelog
* Thu Jul 27 2023 ecsos <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
* Fri Feb 25 2022 Matej Cepl <mcepl@suse.com>
- Deduplicate files in python_sitearch.
* Thu Feb 24 2022 pgajdos@suse.com
- update to version 0.23+git5096047f90a1f6a74ceb250aef6243e144170f92:
  * no upstream changelog
* Thu Mar 19 2020 Marketa Calabkova <mcalabkova@suse.com>
- Update to version 0.23
  * Add missing family, type and proto properties to msbt socket backend
  * Use feature detection instead of version detection
  * Much more changes
  * Last version which supports Python2
- Modernize spec file a bit
* Tue Mar 27 2018 mgorse@suse.com
- Update to version 0.22:
  * experimental support for Bluetooth Low Energy, based on
    pygattlib implementation
  * l2cap options issue #88
  * When cancelling device discovery, DeviceDiscoverer does not
    call inquiry_complete() #85
  * No way to select device id for device discovery #77
  * _get_available_port() should try to bind() with
    a supplied address instead of "" #45
  * changes from 0.20 to 0.21(Apr 05, 2015)
  * No way to select device id for device discovery #77
  * RSSI info not passed on by DeviceDiscoverer #74
  * Warnings during compilation on linux #73
  * python3 UnicodeDecodeError in DeviceDiscoverer find_devices
  * changes from 0.19 to 0.20(Jan 13, 2014)
  * Python 3 is now supported.
  * Python 3.3 uses Visual C++ 2010 Express Edition for build on windows.
  * changes from 0.18 to 0.19
  * Added option to return the class of device in
    discover_devices() (Lukas Hetzenecker)
  * Added setl2capsecurity() method to BluetoothSocket
  * Fixed get_l2cap_options(), set_l2cap_options(), set_l2cap_mtu()
  * Added abovementioned functions as socket methods
  * Added BT_SECURITY_*, L2CAP_MODE_* constants
  * Added support for the "Extended Inquiry Response" event in
    the asynchronous DeviceDiscoverer (Lukas Hetzenecker)
  * Fixed problems with kernel 3.x
- Drop python-pybluez-linux3-fix.patch: fixed upstream.
- Update URL.
- Add a python3 package.
- Modernize spec using spec-cleaner.
* Wed Aug 24 2011 gankov@opensuse.org
- fix detection on linux3
* Tue Apr 20 2010 cstender@suse.de
- updated to version 0.18
  * bugfix for linux 2.6.30+ zero out struct sockaddr
  * DeviceDiscoverer may specify bluetooth device_id (roelhuybrechts)
  * DeviceDiscoverer do not override duration parameter (roelhuybrechts)
* Tue Aug  4 2009 cstender@novell.com
- updated to version 0.16
  * fix variable naming in example/simple/inquiry.py (M. Harris Bhatti)
  * fix examples to import bluetooth._bluetooth
* Mon Sep 15 2008 dmueller@suse.de
- adjust buildrequires
* Tue Sep  9 2008 cstender@suse.de
- renamed package to python-pybluez
- updated to version 0.15
  o fix segfault on trying to SDP advertise when sdpd not running
    (reported by Eric Butler)
  o fixed _checkaddr bug (reported by Giovanni)
  o fix device class parsing bug in inquiry-with-rssi (Pepe Aracil)
  o don't hardcode duration in discover_devices() to 8 (Gustavo Chain)
* Tue Jun  3 2008 crrodriguez@suse.de
- needs to be built with -fno-strict-aliasing
* Sun Jan 14 2007 dgollub@suse.de
- initial version of PyBluez 0.9.2
